using OpenTK.Graphics.OpenGL;

namespace Engine.Graphics.Framebuffer;

internal interface IFramebufferAttachment
{
  int Handle { get; }

  void Resize(int parWidth, int parHeight);

  void Attach(Framebuffer parFramebuffer, FramebufferAttachment parAttachment);
}